Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface GsKeywordSearchControl

All Superinterfaces
  CommunitySearchControl

    public interface GsKeywordSearchControl

extends CommunitySearchControl

This control will search ONLY GroupSpace communities that have been deployed to this same web app. It is not meaningful to search across all GroupSpace communuties in the application or domain beacause we wsant to return the community URL from these search results.

Instantiate the control in a page flow as follows:

`@Control`
GsKeywordSearchControlBean gsKeywordSearchControl;

Nested Class Summary
`static interface` | `GsKeywordSearchControl.GroupSpaceSearchParams` Scope the search

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.search.controls.CommunitySearchControl
`CommunitySearchControl.CommunitySearchParams`

Method Summary
`boolean` | `communityIsRelatedTo(CommunityDefinition cdef, String keyword)` Given this keyword, see whether this community is related to that.
`CommunityDefinition` | `enableCommunitySearch(CommunityDefinition cdef, boolean searchable)` Make the named community searchable or not
`SortableFilterablePagedResult<CommunityDefinition>` | `findCommunityDefsRelatedTo(String keyword)` Find all communities that are related to (eg, keywords contain) this subject
`SortableFilterablePagedResult<GenericURL>` | `findCommunityURLsRelatedTo(String keyword)` Find all communities that are related to (eg, keywords contain) this keyword.
`SortableFilterablePagedResult<CommunityDefinition>` | `findSearchableCommunities()` Find all GroupSpace communities that have been marked as 'searchable'
`List<String>` | `getCommunityKeywords(CommunityDefinition cdef)` Keywords are used to search communites so we can find 'related to'.
`boolean` | `isCommunitySearchable(CommunityDefinition cdef)` Is this named community searchable?
`void` | `setCommunityKeywords(CommunityDefinition cdef, Set<String> keywords)` Add a set of keywords for this named community that will be used to describe the community, and on which we'll search (eg, find communities related to 'bears')

Methods inherited from interface com.bea.apps.groupspace.search.controls.CommunitySearchControl
`findAllMemberships, findAllMemberships, getEligibleToJoinCommunities, getMembershipsForCapability, getMyCommunityURLs, getMyCommunityURLsAsString, getUsernamesForCapability`

Method Detail

### isCommunitySearchable

    boolean isCommunitySearchable(CommunityDefinition cdef)
                                  throws Exception

  Is this named community searchable?

  Throws
    `Exception`

### enableCommunitySearch

    CommunityDefinition enableCommunitySearch(CommunityDefinition cdef,
                                              boolean searchable)

  Make the named community searchable or not

### setCommunityKeywords

    void setCommunityKeywords(CommunityDefinition cdef,
                              Set<String> keywords)
                              throws Exception

  Add a set of keywords for this named community that will be used to describe the community, and on which we'll search (eg, find communities related to 'bears')

  Throws
    `Exception`

### getCommunityKeywords

    List<String> getCommunityKeywords(CommunityDefinition cdef)

  Keywords are used to search communites so we can find 'related to'. Each GroupSpace community marked 'searchable' may designate a set of keywords that are relevant to that communuty's content[

### findSearchableCommunities

    SortableFilterablePagedResult<CommunityDefinition> findSearchableCommunities()
                                                                                 throws Exception

  Find all GroupSpace communities that have been marked as 'searchable'

  Throws
    `Exception`

### findCommunityURLsRelatedTo

    SortableFilterablePagedResult<GenericURL> findCommunityURLsRelatedTo(String keyword)
                                                                         throws Exception

  Find all communities that are related to (eg, keywords contain) this keyword. The search is limiited to GroupSpace communities that are deployed to this webApp.

  Throws
    `Exception`

### findCommunityDefsRelatedTo

    SortableFilterablePagedResult<CommunityDefinition> findCommunityDefsRelatedTo(String keyword)
                                                                                  throws Exception

  Find all communities that are related to (eg, keywords contain) this subject

  Throws
    `Exception`

### communityIsRelatedTo

    boolean communityIsRelatedTo(CommunityDefinition cdef,
                                 String keyword)
                                 throws Exception

  Given this keyword, see whether this community is related to that. For GroupSpace communities, this means the community has that keyword set as one of its properties[

  Throws
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved